.card {
  width: 12rem;
  height: 15rem;
  perspective: 150rem;
  -moz-perspective: 150rem;
  position: relative;
  transition: transform 0.8s ease;
  animation: fadeIn ease 0.5s;
  &:hover {
    transform: translateY(-10px);
  }

  @include respond(sm) {
    width: 6rem;
    height: 8rem;
  }

  &__side {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transition: all 0.8s ease;

    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    border-radius: 3px;
    overflow: hidden;

    &--front {
      background-color: white;
    }

    &--back {
      display: flex;
      justify-content: center;
      align-items: center;
      transform: rotateY(180deg);
      background-color: yellowgreen;
      font-size: 5rem;
      font-weight: bold;

      @include respond(sm) {
        font-size: 3rem;
      }
    }
  }

  &--flip {
    .card__side--front {
      transform: rotateY(-180deg);
    }

    .card__side--back {
      transform: rotateY(0);
    }
  }
}

